Dashboard
Orchestration Templates

Create Orchestration Template

Create Orchestration Template

POST/v2/orchestrations/templates

Request Body

team_idstring · uuidrequired
creatorstringrequired
slugstringrequired
namestringrequired
descriptionobjectoptional
configobjectoptional

The graph carried in orchestration_templates.config.

config.iconobjectoptional
config.icon_colorobjectoptional
config.nodesarray<object>optional
config.edgesarray<object>optional
config.triggersarray<object>optional
Request
curl --request POST \
  --url https://api.brainbaselabs.com/v2/orchestrations/templates \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba",
  "creator": "string",
  "slug": "string",
  "name": "string",
  "description": "string",
  "config": {
    "icon": "string",
    "icon_color": "string",
    "nodes": [
      {
        "key": "string",
        "name": "string",
        "source_runtime": "claude_code_cloud",
        "source_model": "string",
        "instructions": "",
        "mcp_servers": [
          {
            "name": "string",
            "url": "string",
            "command": "string",
            "args": [
              "string"
            ],
            "env": {
              "property1": "string",
              "property2": "string"
            },
            "headers": {
              "property1": "string",
              "property2": "string"
            },
            "is_enabled": true
          }
        ],
        "skills": [
          {
            "source": "string"
          }
        ],
        "secrets": [
          {
            "name": "string",
            "description": "string",
            "required": true
          }
        ],
        "position": {
          "x": 0,
          "z": 0
        }
      }
    ],
    "edges": [
      {
        "from_key": "string",
        "to_key": "string",
        "description": "",
        "payload_schema": {}
      }
    ],
    "triggers": [
      {
        "key": "string",
        "trigger_type": "app",
        "app_slug": "string",
        "app_name": "string",
        "app_icon": "string",
        "trigger_key": "string",
        "trigger_name": "string",
        "trigger_version": "string",
        "configured_props": {},
        "cron_expression": "string",
        "position": {
          "x": 0,
          "z": 0
        },
        "edges": [
          {
            "to_node_key": "string",
            "description": "",
            "payload_schema": {}
          }
        ]
      }
    ]
  }
}'
Response
json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba",
  "creator": "string",
  "slug": "string",
  "name": "string",
  "description": "string",
  "config": {},
  "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}